Можно ли установить новейшую версию Python через apt-get?

Я начал курс программирования, который требует Python 3.3.2. Тем не менее, в моем Ubuntu я могу установить только версию 3.3.1. Можно ли изменить репозитории, чтобы я мог установить самую новую версию?

0
задан 13.04.2020, 20:24

1 ответ

Я начал курс программирования, который требует Python 3.3.2

Список изменений для 3.3.2 показывает нам, что в 3.3.2 нет серьезной работы. свыше 3.3.1. Это куча мелких исправлений, которые не будут иметь никакого значения для кого-то на курсе программирования.

Существуют большие различия между 2.x и 3.x, поэтому вам нужно установить python3.3 и использовать двоичный файл python3 (вы должны помнить об этом, когда будете запускать примеры), но не беспокойтесь о том, чтобы быть второстепенным релизом, вы не пропустите ничего важного, и это не повлияет на ваш код.

Я хотел бы пойти дальше и сказать, что если вы окажетесь в хранилище, которое получит вам более позднюю версию, оно может не принести исправлений безопасности, и вы будете уязвимы дольше, чем в стандартном хранилище.

Тем не менее, если вы действительно хотите обновить, вы должны быть в состоянии , но это сопровождается оговоркой:

Я не гарантирую никаких обновлений. В частности, я снял с себя всю ответственность за проблемы безопасности в этих пакетах.

2
ответ дан 13.04.2020, 20:25

Теги

Похожие вопросы